import { EventEmitter } from '../../stencil-public-runtime';
import { EzpAuthorizationService } from '../../services/auth';
export declare class EzpAuth {
    clientID: string;
    redirectURI: string;
    hidelogin: boolean;
    trigger: string;
    code: string;
    auth: EzpAuthorizationService;
    authURI: string;
    accessToken: string;
    authCancel: EventEmitter<MouseEvent>;
    authSuccess: EventEmitter;
    userCancel: EventEmitter;
    listenDialogAction(): void;
    listenDialogClose(): void;
    listenStatusCancel(): void;
    oauthPopupWindow: Window;
    previousUrl: any;
    openSignInWindow(url: string, name: string): void;
    receiveMessage(event: any): void;
    componentWillLoad(): Promise<void>;
    render(): any;
}
